/// <reference types="react" />
import { TextStyle, TouchableWithoutFeedbackProps } from "react-native";
import { BorderProps, ColorProps, FlexboxProps, LayoutProps, SpaceProps } from "styled-system";
import { IconProps } from "../../primitives";
declare type RippleProps = BorderProps & ColorProps & FlexboxProps & LayoutProps & SpaceProps & {
    rippleColor?: string;
    rippleOpacity?: number;
    rippleDuration?: number;
    shadow?: number | "none";
};
declare type iconProps = {
    icon?: IconProps & {
        position?: "left" | "right";
    };
};
export declare type ButtonProps = iconProps & RippleProps & TouchableWithoutFeedbackProps & {
    label?: string;
    block?: boolean;
    outline?: boolean;
    transparent?: boolean;
    variant?: "critical" | "caution" | "positive" | "neutral" | "info" | "promote";
    labelStyle?: TextStyle;
};
declare const Button: ({ block, variant, transparent, label, style, shadow, labelStyle, outline, icon, ...props }: ButtonProps) => JSX.Element;
export default Button;
