/// <reference types="react" />
import { ViewProps } from "react-native";
import { BorderProps, ColorProps, FlexboxProps, LayoutProps, SpaceProps } from "styled-system";
export declare type IColumnsProps = ColorProps | SpaceProps | LayoutProps | FlexboxProps | BorderProps;
declare type ColumnsProps = IColumnsProps & ViewProps & {
    children: JSX.Element[] | JSX.Element;
    space?: number;
};
declare const Columns: ({ space, children, ...props }: ColumnsProps) => JSX.Element;
export default Columns;
