/// <reference types="react" />
import { ViewProps } from "react-native";
import { BorderProps, ColorProps, FlexboxProps, LayoutProps, SpaceProps } from "styled-system";
export declare type IStackProps = ColorProps | SpaceProps | LayoutProps | FlexboxProps | BorderProps;
declare type StackProps = IStackProps & ViewProps & {
    children: JSX.Element[] | JSX.Element;
    space?: number;
};
declare const Stack: ({ space, children, ...props }: StackProps) => JSX.Element;
export default Stack;
